%define mod_name Storable

Name:    perl-%{mod_name}
Epoch:   1
Version: 3.25
Release: 3
Summary: Persistence for Perl data structures
License: GPL+ or Artistic-1.0-Perl
URL:     https://metacpan.org/release/Storable
Source0: https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/%{mod_name}-%{version}.tar.gz

BuildRequires: bash, gcc, make, perl-devel, perl-generators, perl-interpreter
BuildRequires: perl(Config), perl(Cwd), perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl(File::Copy), perl(File::Spec) >= 0.8
BuildRequires: perl(strict), perl(warnings), perl(Carp), perl(Exporter)
BuildRequires: perl(Fcntl), perl(IO::File), perl(XSLoader)
BuildRequires: perl(base), perl(bytes), perl(File::Temp), perl(integer)
BuildRequires: perl(overload), perl(utf8), perl(Test::More), perl(threads)
BuildRequires: perl(Safe), perl(Scalar::Util), perl(Tie::Array), perl(B::Deparse) >= 0.61
BuildRequires: perl(Digest::MD5), perl(Hash::Util), perl(Tie::Hash)
Requires: perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires: perl(Carp), perl(Config), perl(Fcntl), perl(IO::File)

Patch9000: eliminate-limitpm-difference.patch

%description
The Storable extension brings persistence to your data.
You may recursively store to disk any data structure, no matter how
complex and circular it is, provided it contains only SCALAR, ARRAY,
HASH (possibly tied) and references (possibly blessed) to those items.

%package_help

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 | xargs rm -f
find $RPM_BUILD_ROOT -type f -name '*.3pm' -size 0 | xargs rm -f
%{_fixperms} %{buildroot}/*

%check
unset PERL_TEST_MEMORY PERL_RUN_SLOW_TESTS
make test

%pre

%preun

%post

%postun

%files
%doc ChangeLog README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Storable*

%files help
%{_mandir}/man*/*

%changelog
* Sat Nov 26 2022 zhoushuiqing <zhoushuiqing2@huawei.com> - 3.25-3
- Update the Source0 URL.

* Tue Jun 28 2022 Chenyx <chenyixiong3@huawei.com> - 3.25-2
- License compliance rectification

* Thu Nov 18 2021 liudabo <liudabo1@huawei.com> - 3.25-1
- upgrade version to 3.25

* Tue Feb 25 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.15-2
- Modify subpakcage help

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.15-1
- Package init
